org.bouncycastle.asn1.esf

## Class OtherHashAlgAndValue

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.esf.OtherHashAlgAndValue

All Implemented Interfaces:
  DEREncodable

    public class OtherHashAlgAndValue
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`OtherHashAlgAndValue(AlgorithmIdentifier hashAlgorithm, ASN1OctetString hashValue)`
`OtherHashAlgAndValue(ASN1Sequence seq)`

### Method Summary

Methods
`AlgorithmIdentifier` `getHashAlgorithm()`
`ASN1OctetString` `getHashValue()`
`static OtherHashAlgAndValue` `getInstance(java.lang.Object obj)`
`DERObject` `toASN1Object()` OtherHashAlgAndValue ::= SEQUENCE { hashAlgorithm AlgorithmIdentifier, hashValue OtherHashValue } OtherHashValue ::= OCTET STRING

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OtherHashAlgAndValue

    public OtherHashAlgAndValue(ASN1Sequence seq)

#### OtherHashAlgAndValue

    public OtherHashAlgAndValue(AlgorithmIdentifier hashAlgorithm,
                        ASN1OctetString hashValue)

### Method Detail

#### getInstance

    public static OtherHashAlgAndValue getInstance(java.lang.Object obj)

#### getHashAlgorithm

    public AlgorithmIdentifier getHashAlgorithm()

#### getHashValue

    public ASN1OctetString getHashValue()

#### toASN1Object

    public DERObject toASN1Object()

     OtherHashAlgAndValue ::= SEQUENCE {
         hashAlgorithm AlgorithmIdentifier,
         hashValue OtherHashValue }

     OtherHashValue ::= OCTET STRING

Specified by:
  `toASN1Object` in class `ASN1Encodable`